#include <bits/stdc++.h>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    string znj;
    cin >> znj;
    char a = znj[0], b = znj[1];
    int a1, b1;
    cin >> a1 >> b1;
    if(abs(a1 - b1) > 1 || a == b) {
        cout << "nemoguce\n";
        return 0;
    }
    if(a > b) {
        swap(a, b);
        swap(a1, b1);
    }
    for(int i = 0; i < a1 + b1; i++) {
        if(i % 2 == 0) cout << a;
        if(i % 2 == 1) cout << b;
    }
    cout << endl;
    return 0;
}